Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

## Class PaymentInstruction40

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_11.PaymentInstruction40

    public class PaymentInstruction40
    extends java.lang.Object

Java class for PaymentInstruction40 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentInstruction40">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max35Text"/>
             <element name="PmtMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}PaymentMethod3Code"/>
             <element name="ReqdAdvcTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}AdviceType1" minOccurs="0"/>
             <element name="BtchBookg" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}BatchBookingIndicator" minOccurs="0"/>
             <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max15NumericText" minOccurs="0"/>
             <element name="CtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}DecimalNumber" minOccurs="0"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}PaymentTypeInformation26" minOccurs="0"/>
             <element name="ReqdExctnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}DateAndDateTime2Choice"/>
             <element name="PoolgAdjstmntDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ISODate" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}PartyIdentification135"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}CashAccount40"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}BranchAndFinancialInstitutionIdentification6"/>
             <element name="DbtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}CashAccount40" minOccurs="0"/>
             <element name="InstrForDbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max140Text" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}PartyIdentification135" minOccurs="0"/>
             <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ChargeBearerType1Code" minOccurs="0"/>
             <element name="ChrgsAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}CashAccount40" minOccurs="0"/>
             <element name="ChrgsAcctAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="CdtTrfTxInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}CreditTransferTransaction54" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.Boolean` `btchBookg`
`protected java.util.List<CreditTransferTransaction54>` `cdtTrfTxInf`
`protected ChargeBearerType1Code` `chrgBr`
`protected CashAccount40` `chrgsAcct`
`protected BranchAndFinancialInstitutionIdentification6` `chrgsAcctAgt`
`protected java.math.BigDecimal` `ctrlSum`
`protected PartyIdentification135` `dbtr`
`protected CashAccount40` `dbtrAcct`
`protected BranchAndFinancialInstitutionIdentification6` `dbtrAgt`
`protected CashAccount40` `dbtrAgtAcct`
`protected java.lang.String` `instrForDbtrAgt`
`protected java.lang.String` `nbOfTxs`
`protected java.lang.String` `pmtInfId`
`protected PaymentMethod3Code` `pmtMtd`
`protected PaymentTypeInformation26` `pmtTpInf`
`protected javax.xml.datatype.XMLGregorianCalendar` `poolgAdjstmntDt`
`protected AdviceType1` `reqdAdvcTp`
`protected DateAndDateTime2Choice` `reqdExctnDt`
`protected PartyIdentification135` `ultmtDbtr`

### Constructor Summary

Constructors
`PaymentInstruction40()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<CreditTransferTransaction54>` `getCdtTrfTxInf()` Gets the value of the cdtTrfTxInf property.
`ChargeBearerType1Code` `getChrgBr()` Gets the value of the chrgBr property.
`CashAccount40` `getChrgsAcct()` Gets the value of the chrgsAcct property.
`BranchAndFinancialInstitutionIdentification6` `getChrgsAcctAgt()` Gets the value of the chrgsAcctAgt property.
`java.math.BigDecimal` `getCtrlSum()` Gets the value of the ctrlSum property.
`PartyIdentification135` `getDbtr()` Gets the value of the dbtr property.
`CashAccount40` `getDbtrAcct()` Gets the value of the dbtrAcct property.
`BranchAndFinancialInstitutionIdentification6` `getDbtrAgt()` Gets the value of the dbtrAgt property.
`CashAccount40` `getDbtrAgtAcct()` Gets the value of the dbtrAgtAcct property.
`java.lang.String` `getInstrForDbtrAgt()` Gets the value of the instrForDbtrAgt property.
`java.lang.String` `getNbOfTxs()` Gets the value of the nbOfTxs property.
`java.lang.String` `getPmtInfId()` Gets the value of the pmtInfId property.
`PaymentMethod3Code` `getPmtMtd()` Gets the value of the pmtMtd property.
`PaymentTypeInformation26` `getPmtTpInf()` Gets the value of the pmtTpInf property.
`javax.xml.datatype.XMLGregorianCalendar` `getPoolgAdjstmntDt()` Gets the value of the poolgAdjstmntDt property.
`AdviceType1` `getReqdAdvcTp()` Gets the value of the reqdAdvcTp property.
`DateAndDateTime2Choice` `getReqdExctnDt()` Gets the value of the reqdExctnDt property.
`PartyIdentification135` `getUltmtDbtr()` Gets the value of the ultmtDbtr property.
`java.lang.Boolean` `isBtchBookg()` Gets the value of the btchBookg property.
`void` `setBtchBookg​(java.lang.Boolean value)` Sets the value of the btchBookg property.
`void` `setChrgBr​(ChargeBearerType1Code value)` Sets the value of the chrgBr property.
`void` `setChrgsAcct​(CashAccount40 value)` Sets the value of the chrgsAcct property.
`void` `setChrgsAcctAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the chrgsAcctAgt property.
`void` `setCtrlSum​(java.math.BigDecimal value)` Sets the value of the ctrlSum property.
`void` `setDbtr​(PartyIdentification135 value)` Sets the value of the dbtr property.
`void` `setDbtrAcct​(CashAccount40 value)` Sets the value of the dbtrAcct property.
`void` `setDbtrAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the dbtrAgt property.
`void` `setDbtrAgtAcct​(CashAccount40 value)` Sets the value of the dbtrAgtAcct property.
`void` `setInstrForDbtrAgt​(java.lang.String value)` Sets the value of the instrForDbtrAgt property.
`void` `setNbOfTxs​(java.lang.String value)` Sets the value of the nbOfTxs property.
`void` `setPmtInfId​(java.lang.String value)` Sets the value of the pmtInfId property.
`void` `setPmtMtd​(PaymentMethod3Code value)` Sets the value of the pmtMtd property.
`void` `setPmtTpInf​(PaymentTypeInformation26 value)` Sets the value of the pmtTpInf property.
`void` `setPoolgAdjstmntDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the poolgAdjstmntDt property.
`void` `setReqdAdvcTp​(AdviceType1 value)` Sets the value of the reqdAdvcTp property.
`void` `setReqdExctnDt​(DateAndDateTime2Choice value)` Sets the value of the reqdExctnDt property.
`void` `setUltmtDbtr​(PartyIdentification135 value)` Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pmtInfId

    protected java.lang.String pmtInfId

#### pmtMtd

    protected PaymentMethod3Code pmtMtd

#### reqdAdvcTp

    protected AdviceType1 reqdAdvcTp

#### btchBookg

    protected java.lang.Boolean btchBookg

#### nbOfTxs

    protected java.lang.String nbOfTxs

#### ctrlSum

    protected java.math.BigDecimal ctrlSum

#### pmtTpInf

    protected PaymentTypeInformation26 pmtTpInf

#### reqdExctnDt

    protected DateAndDateTime2Choice reqdExctnDt

#### poolgAdjstmntDt

    protected javax.xml.datatype.XMLGregorianCalendar poolgAdjstmntDt

#### dbtr

    protected PartyIdentification135 dbtr

#### dbtrAcct

    protected CashAccount40 dbtrAcct

#### dbtrAgt

    protected BranchAndFinancialInstitutionIdentification6 dbtrAgt

#### dbtrAgtAcct

    protected CashAccount40 dbtrAgtAcct

#### instrForDbtrAgt

    protected java.lang.String instrForDbtrAgt

#### ultmtDbtr

    protected PartyIdentification135 ultmtDbtr

#### chrgBr

    protected ChargeBearerType1Code chrgBr

#### chrgsAcct

    protected CashAccount40 chrgsAcct

#### chrgsAcctAgt

    protected BranchAndFinancialInstitutionIdentification6 chrgsAcctAgt

#### cdtTrfTxInf

    protected java.util.List<CreditTransferTransaction54> cdtTrfTxInf

### Constructor Detail

#### PaymentInstruction40

    public PaymentInstruction40()

### Method Detail

#### getPmtInfId

    public java.lang.String getPmtInfId()

Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

#### setPmtInfId

    public void setPmtInfId​(java.lang.String value)

Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getPmtMtd

    public PaymentMethod3Code getPmtMtd()

Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethod3Code`

#### setPmtMtd

    public void setPmtMtd​(PaymentMethod3Code value)

Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethod3Code`

#### getReqdAdvcTp

    public AdviceType1 getReqdAdvcTp()

Gets the value of the reqdAdvcTp property.

Returns:
  possible object is `AdviceType1`

#### setReqdAdvcTp

    public void setReqdAdvcTp​(AdviceType1 value)

Sets the value of the reqdAdvcTp property.

Parameters:
  `value` - allowed object is `AdviceType1`

#### isBtchBookg

    public java.lang.Boolean isBtchBookg()

Gets the value of the btchBookg property.

Returns:
  possible object is `Boolean`

#### setBtchBookg

    public void setBtchBookg​(java.lang.Boolean value)

Sets the value of the btchBookg property.

Parameters:
  `value` - allowed object is `Boolean`

#### getNbOfTxs

    public java.lang.String getNbOfTxs()

Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

#### setNbOfTxs

    public void setNbOfTxs​(java.lang.String value)

Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

#### getCtrlSum

    public java.math.BigDecimal getCtrlSum()

Gets the value of the ctrlSum property.

Returns:
  possible object is `BigDecimal`

#### setCtrlSum

    public void setCtrlSum​(java.math.BigDecimal value)

Sets the value of the ctrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getPmtTpInf

    public PaymentTypeInformation26 getPmtTpInf()

Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformation26`

#### setPmtTpInf

    public void setPmtTpInf​(PaymentTypeInformation26 value)

Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformation26`

#### getReqdExctnDt

    public DateAndDateTime2Choice getReqdExctnDt()

Gets the value of the reqdExctnDt property.

Returns:
  possible object is `DateAndDateTime2Choice`

#### setReqdExctnDt

    public void setReqdExctnDt​(DateAndDateTime2Choice value)

Sets the value of the reqdExctnDt property.

Parameters:
  `value` - allowed object is `DateAndDateTime2Choice`

#### getPoolgAdjstmntDt

    public javax.xml.datatype.XMLGregorianCalendar getPoolgAdjstmntDt()

Gets the value of the poolgAdjstmntDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setPoolgAdjstmntDt

    public void setPoolgAdjstmntDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the poolgAdjstmntDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getDbtr

    public PartyIdentification135 getDbtr()

Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentification135`

#### setDbtr

    public void setDbtr​(PartyIdentification135 value)

Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getDbtrAcct

    public CashAccount40 getDbtrAcct()

Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount40`

#### setDbtrAcct

    public void setDbtrAcct​(CashAccount40 value)

Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

#### getDbtrAgt

    public BranchAndFinancialInstitutionIdentification6 getDbtrAgt()

Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setDbtrAgt

    public void setDbtrAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getDbtrAgtAcct

    public CashAccount40 getDbtrAgtAcct()

Gets the value of the dbtrAgtAcct property.

Returns:
  possible object is `CashAccount40`

#### setDbtrAgtAcct

    public void setDbtrAgtAcct​(CashAccount40 value)

Sets the value of the dbtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

#### getInstrForDbtrAgt

    public java.lang.String getInstrForDbtrAgt()

Gets the value of the instrForDbtrAgt property.

Returns:
  possible object is `String`

#### setInstrForDbtrAgt

    public void setInstrForDbtrAgt​(java.lang.String value)

Sets the value of the instrForDbtrAgt property.

Parameters:
  `value` - allowed object is `String`

#### getUltmtDbtr

    public PartyIdentification135 getUltmtDbtr()

Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentification135`

#### setUltmtDbtr

    public void setUltmtDbtr​(PartyIdentification135 value)

Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getChrgBr

    public ChargeBearerType1Code getChrgBr()

Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerType1Code`

#### setChrgBr

    public void setChrgBr​(ChargeBearerType1Code value)

Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerType1Code`

#### getChrgsAcct

    public CashAccount40 getChrgsAcct()

Gets the value of the chrgsAcct property.

Returns:
  possible object is `CashAccount40`

#### setChrgsAcct

    public void setChrgsAcct​(CashAccount40 value)

Sets the value of the chrgsAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

#### getChrgsAcctAgt

    public BranchAndFinancialInstitutionIdentification6 getChrgsAcctAgt()

Gets the value of the chrgsAcctAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setChrgsAcctAgt

    public void setChrgsAcctAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the chrgsAcctAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getCdtTrfTxInf

    public java.util.List<CreditTransferTransaction54> getCdtTrfTxInf()

Gets the value of the cdtTrfTxInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cdtTrfTxInf property.

For example, to add a new item, do as follows:

        getCdtTrfTxInf().add(newItem);

Objects of the following type(s) are allowed in the list `CreditTransferTransaction54`